Subject: bug#9939: Problems with the SIZE description in man pages for <ls> and <du>

From: Ruediger Meier <[email-masked]>
Date: Tue, 15 Nov 2011 19:12:16 +0100

On Tuesday 15 November 2011, Jim Meyering wrote:
> Paul Eggert wrote:
> > On 11/15/11 08:45, Voelker, Bernhard wrote:
> >> -KB 1000, K 1024, MB 1000*1000, M 1024*1024, and so on for G, T,
> >> P, E, Z, Y.\n\ +KB (1000), K (1024), MB (1000KB), M (1024K), and
> >> so on for G, T, P, E, Z, Y.\n\
> >
> > That would be fine with me.  (I find them equally confusing. :-)
>
> I'm 60/40 for the use of "*" (i.e., 1000*1000), because with it,
> each comma-separated item is self-contained.
>
> In your replacement, each of MB and M relies on the
> just-defined "KB" or "K" notation.  Without that context,
> they may be misinterpreted.

I also think the multiplier version is a bit easier to read.
My preferred one would be something like this: 

-SIZE is an integer with an optional suffix (example: 10MB).  Suffixes are:\n\
-KB 1000, K 1024, MB 1000*1000, M 1024*1024, and so on for G, T, P, E, Z, Y.\n\
+SIZE is an integer with an optional unit, e.g. 10M (1024*1024). Valid units\n\
+are K, M, G, T, P, E, Z, Y (powers of 1024) or KB, MB, ... (powers of 1000).\n\

I guess if we've had 20 chars more or even a whole line then it could be
slightly polished to be really readable and clearly. ;)

cu,
Rudi